title1 Census of Canada, 1971: CA/CMA-Long Form : B2ECOD02
title2 SAS control commands by Sushil Kumar UT/DLS 07/01
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
       ;
VALUE  V7_F   1          = 'RURAL'
             2          = 'CTV'
             3          = 'URBAN'
             4          = 'URBAN'
             5          = 'URBAN'
             6          = 'URBAN'
             7          = 'URBAN'
             8          = 'URBAN'
             9          = 'URBAN'
             0          = 'NOT A MUN RECORD'
       ;
VALUE  V10_F   1          = 'LARGEST CITY'
             2          = 'REMAINDER URBANI'
             3          = 'FRINGE- URBAN'
             4          = 'FRINGE- RURAL'
       ;
VALUE  $V11_F   'A' = '>_500000 (U)'
             'B' = '100000-499999 (U'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = '>_500000 (R)'
             '2' = '100000-499999 (R'
             '3' = '30000-99999 (R)'
             '4' = '10000-29999 (R)'
             '5' = '5000-9999 (R)'
             '6' = '2500-4999 (R)'
             '7' = '1000-2499 (R)'
             '8' = '< 1000 (R)'
       ;
VALUE  V21_F   1          = 'URBAN'
             2          = 'RURAL'
       ;
VALUE  V23_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V24_F   0          = 'URBAN CORE'
             1          = 'FRINGE'
       ;
VALUE  V25_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       ED   3-4
       EA   5-7
       COUNTY   8-9
       MUNIC   10-11
       SUBDIV   $CHAR2.
       RURAL   14-14
       CMA   15-17
       CT   18-20
       CMAPART   21-21
       MUNSIZE   $CHAR1.
       RURSIZE   $CHAR1.
       REFCODE   24-25
       ECONREG   26-27
       CMCA   28-29
       CTV   30-33
       CMA-CA   34-36
       CONTROL   37-37
       MUNSUBDV   38-38
       BLANK1   39-41
       ECONAREA   42-42
       MSUBSIZE   43-43
       RURCODE   44-46
       CMACODE   47-47
       LGECITY   48-50
       DSN   51-58
       SPBYTES   59-63
       V1   64-70
       V2   71-77
       V3   78-84
       V4   85-91
       V5   92-98
       V6   99-105
       V7   106-112
       V8   113-119
       V9   120-126
       V10   127-133 .0
       V11   134-140 .3
       V12   141-147
       V13   148-154
       V14   155-161
       V15   162-168
       V16   169-175
       V17   176-182
       V18   183-189
       V19   190-196
       V20   197-203
       V21   204-210 .0
       V22   211-217 .3
       V23   218-224
       V24   225-231
       V25   232-238
       V26   239-245
       V27   246-252
       V28   253-259
       V29   260-266
       V30   267-273
       V31   274-280
       V32   281-287 .0
       V33   288-294 .3
       V34   295-301
       V35   302-308
       V36   309-315
       V37   316-322
       V38   323-329
       V39   330-336
       V40   337-343
       V41   344-350
       V42   351-357
       V43   358-364 .0
       V44   365-371 .3
       V45   372-378
       V46   379-385
       V47   386-392
       V48   393-399
       V49   400-406
       V50   407-413
       V51   414-420
       V52   421-427
       V53   428-434
       V54   435-441
       V55   442-448
       V56   449-455
       V57   456-462
       V58   463-469
       V59   470-476 .0
       V60   477-483 .3
       V61   484-490 .0
       V62   491-497 .0
       V63   498-504 .0
       V64   505-511 .0
       V65   512-518 .0
       V66   519-525 .0
       V67   526-532 .0
       V68   533-539 .0
       V69   540-546 .3
       V70   547-553 .3
       V71   554-560 .3
       V72   561-567 .3
       V73   568-574 .3
       V74   575-581 .3
       V75   582-588 .3
       V76   589-595 .3
       V77   596-602
       V78   603-609
       V79   610-616
       V80   617-623
       V81   624-630
       V82   631-637
       V83   638-644
       V84   645-651
       V85   652-658
       V86   659-665
       V87   666-672
       V88   673-679
       V89   680-686
       V90   687-693
       V91   694-700
       V92   701-707
       V93   708-714 .0
       V94   715-721 .0
       V95   722-728 .0
       V96   729-735 .0
       V97   736-742 .0
       V98   743-749 .0
       V99   750-756 .0
       V100   757-763 .0
       V101   764-770 .3
       V102   771-777 .3
       V103   778-784 .3
       V104   785-791 .3
       V105   792-798 .3
       V106   799-805 .3
       V107   806-812 .3
       V108   813-819 .3
       V109   820-826
       V110   827-833
       V111   834-840
       V112   841-847
       V113   848-854
       V114   855-861
       V115   862-868
       V116   869-875
       V117   876-882
       V118   883-889
       V119   890-896
       V120   897-903
       V121   904-910
       V122   911-917
       V123   918-924
       V124   925-931
       V125   932-938
       V126   939-945
       V127   946-952
       V128   953-959
       V129   960-966
       V130   967-973
       V131   974-980
       V132   981-987
       V133   988-994
       V134   995-1001
       V135   1002-1008
       V136   1009-1015
       V137   1016-1022
       V138   1023-1029
       V139   1030-1036
       V140   1037-1043
       V141   1044-1050
       V142   1051-1057
       V143   1058-1064
       V144   1065-1071
       V145   1072-1078
       V146   1079-1085
       V147   1086-1092
       V148   1093-1099
       V149   1100-1106
       V150   1107-1113
       V151   1114-1120
       V152   1121-1127
       V153   1128-1134
       V154   1135-1141
       V155   1142-1148
       V156   1149-1155
       V157   1156-1162
       V158   1163-1169
       V159   1170-1176
       V160   1177-1183
       V161   1184-1190
       V162   1191-1197
       V163   1198-1204
       V164   1205-1211
       V165   1212-1218
       V166   1219-1225
       V167   1226-1232
       V168   1233-1239
       V169   1240-1246
       V170   1247-1253
       V171   1254-1260
       V172   1261-1267
       V173   1268-1274 .0
       V174   1275-1281 .0
       V175   1282-1288 .0
       V176   1289-1295 .0
       V177   1296-1302 .0
       V178   1303-1309 .0
       V179   1310-1316 .0
       V180   1317-1323 .0
       V181   1324-1330 .0
       V182   1331-1337 .0
       V183   1338-1344 .0
       V184   1345-1351 .0
       V185   1352-1358 .0
       V186   1359-1365 .0
       V187   1366-1372 .0
       V188   1373-1379 .0
       V189   1380-1386 .0
       V190   1387-1393 .0
       V191   1394-1400 .0
       V192   1401-1407 .0
       V193   1408-1414 .0
       V194   1415-1421 .0
       V195   1422-1428 .0
       V196   1429-1435 .0
       V197   1436-1442 .0
       V198   1443-1449 .0
       V199   1450-1456 .0
       V200   1457-1463 .0
       V201   1464-1470 .0
       V202   1471-1477 .0
       V203   1478-1484 .0
       V204   1485-1491 .0
       V205   1492-1498 .3
       V206   1499-1505 .3
       V207   1506-1512 .3
       V208   1513-1519 .3
       V209   1520-1526 .3
       V210   1527-1533 .3
       V211   1534-1540 .3
       V212   1541-1547 .3
       V213   1548-1554 .3
       V214   1555-1561 .3
       V215   1562-1568 .3
       V216   1569-1575 .3
       V217   1576-1582 .3
       V218   1583-1589 .3
       V219   1590-1596 .3
       V220   1597-1603 .3
       V221   1604-1610 .3
       V222   1611-1617 .3
       V223   1618-1624 .3
       V224   1625-1631 .3
       V225   1632-1638 .3
       V226   1639-1645 .3
       V227   1646-1652 .3
       V228   1653-1659 .3
       V229   1660-1666 .3
       V230   1667-1673 .3
       V231   1674-1680 .3
       V232   1681-1687 .3
       V233   1688-1694 .3
       V234   1695-1701 .3
       V235   1702-1708 .3
       V236   1709-1715 .3
       V237   1716-2002
      ;
LABEL   PROV = 'Province'
        ED = 'Electroral district'
        EA = 'Enumeration area'
        COUNTY = 'County/ Census division'
        MUNIC = 'Municipality'
        SUBDIV = 'Subdivision'
        RURAL = 'Rural/ Urban part code'
        CMA = 'Metropolitan area/ Census agglomeration'
        CT = 'Census tract'
        CMAPART = 'CMA/ CA part'
        MUNSIZE = 'Municipality size code- Urban'
        RURSIZE = 'Rural/ Urban size code'
        REFCODE = 'Reference code'
        ECONREG = 'Economic region of Statistics Canada'
        CMCA = 'Canada mannpower centre area code'
        CTV = 'City, town, village- alphabetic seq numb'
        CMA-CA = 'CMA/ CA- alphabetic seq number'
        CONTROL = 'Casper control field'
        MUNSUBDV = 'Municicpal subdivision'
        BLANK1 = 'Blank- for future use'
        ECONAREA = 'Economic area'
        MSUBSIZE = 'Municipal subdivision size'
        RURCODE = 'Rural/urban & CMA/CA codes'
        CMACODE = 'CMA/CA code'
        LGECITY = 'Largest city code'
        DSN = 'Dataset name'
        SPBYTES = 'Spare bytes'
        V1 = 'Tot male wage earners'
        V2 = 'Tot males with no inc'
        V3 = 'Tot males with inc'
        V4 = 'Males with inc: <$2000'
        V5 = 'Males with inc: $2000-$3999'
        V6 = 'Males with inc: $4000-$5999'
        V7 = 'Males with inc: $6000-$7999'
        V8 = 'Males with inc: $8000-$9999'
        V9 = 'Males with inc: $10000 & over'
        V10 = 'Avg male wage & salary income'
        V11 = 'Median male wage & salary income'
        V12 = 'Tot female wage earners'
        V13 = 'Tot females with no income'
        V14 = 'Tot females with income'
        V15 = 'Females with inc: <$1000'
        V16 = 'Females with inc: $1000-$1999'
        V17 = 'Females with inc: $2000-$3999'
        V18 = 'Females with inc: $4000-$5999'
        V19 = 'Females with inc: $6000-$7999'
        V20 = 'Females with inc: $8000 & over'
        V21 = 'Average female wage & salary income'
        V22 = 'Median female wage & salary income'
        V23 = 'Tot male wage earners'
        V24 = 'Tot males with no income'
        V25 = 'Tot males with income'
        V26 = 'Males with inc: <$2000'
        V27 = 'Males with inc: $2000-$3999'
        V28 = 'Males with inc: $4000-$5999'
        V29 = 'Males with inc: $6000-$7999'
        V30 = 'Males with inc: $8000-$9999'
        V31 = 'Males with inc: $10000 & over'
        V32 = 'Avg male wage & salary income'
        V33 = 'Median male wage & salary income'
        V34 = 'Tot female wage earners'
        V35 = 'Tot females with no income'
        V36 = 'Tot females with income'
        V37 = 'Females with inc: <$1000'
        V38 = 'Females with inc: $1000-$1999'
        V39 = 'Females with inc: $2000-$3999'
        V40 = 'Females with inc: $4000-$5999'
        V41 = 'Females with inc: $6000-$7999'
        V42 = 'Females with inc: $8000 & over'
        V43 = 'Avg female wage & salary income'
        V44 = 'Median female wage & salary income'
        V45 = 'Males 15+: total'
        V46 = 'Males 15+: single'
        V47 = 'Males 15+: married (incl. separated)'
        V48 = 'Males 15+: widowed & divorced'
        V49 = 'Females 15+: total'
        V50 = 'Females 15+: single'
        V51 = 'Females 15+: married (incl. separated)'
        V52 = 'Females 15+: widowed & divorced'
        V53 = 'Males with inc: tot'
        V54 = 'Males with inc: single'
        V55 = 'Males with inc: married (incl separated)'
        V56 = 'Males with inc: widowed & divorced'
        V57 = 'Females with inc: tot'
        V58 = 'Females with inc: single'
        V59 = 'Females with inc: married (incl. separated)'
        V60 = 'Females with inc: widowed & divorced'
        V61 = 'Avg inc-males: tot'
        V62 = 'Avg inc-males: single'
        V63 = 'Avg inc-males: married (incl. divorced)'
        V64 = 'Avg inc-males: widowed & divorced'
        V65 = 'Avg inc-females: tot'
        V66 = 'Avg inc-females: single'
        V67 = 'Avg inc-females: married (incl. separated)'
        V68 = 'Avg inc-females: widowed & divorced'
        V69 = 'Median inc- males: tot'
        V70 = 'Median inc- males: single'
        V71 = 'Median inc- males: married (incl. separated)'
        V72 = 'Median inc- males: widowed & divorced'
        V73 = 'Median inc- females: tot'
        V74 = 'Median inc- females: single'
        V75 = 'Median inc- females: married (incl. separated)'
        V76 = 'Median inc- females: widowed & divorced'
        V77 = 'Males: tot'
        V78 = 'Males: single'
        V79 = 'Males: married (incl. separated)'
        V80 = 'Males: widowed & divorced'
        V81 = 'Females: tot'
        V82 = 'Females: single'
        V83 = 'Females: married (incl. separated)'
        V84 = 'Females: widowed & divorced'
        V85 = 'Males with inc: tot'
        V86 = 'Males with inc: single'
        V87 = 'Males with inc: married (incl. separated)'
        V88 = 'Males with inc: widowed & divorced'
        V89 = 'Females with inc: tot'
        V90 = 'Females with inc: single'
        V91 = 'Females with inc: married (incl. separated)'
        V92 = 'Females with inc: widowed & divorced'
        V93 = 'Avg inc-males: tot'
        V94 = 'Avg inc-males: single'
        V95 = 'Avg inc-males: married (incl. separated)'
        V96 = 'Avg inc-males: widowed & divorced'
        V97 = 'Avg inc- females: tot'
        V98 = 'Avg inc- females: single'
        V99 = 'Avg inc- females: married (incl. divorced)'
        V100 = 'Avg inc- females: widowed & divorced'
        V101 = 'Median inc- males: tot'
        V102 = 'Median inc- males: single'
        V103 = 'Median inc- males: married (incl. separated)'
        V104 = 'Median inc- males: widowed & divorced'
        V105 = 'Median inc- females: tot'
        V106 = 'Median inc- females: single'
        V107 = 'Median inc- females: married (incl. separated)'
        V108 = 'Median inc- females: widowed & divorced'
        V109 = 'Males: tot persons worked in 1970'
        V110 = 'Males: managerial,admin & other related occ'
        V111 = 'Males: teaching & related occ'
        V112 = 'Males: medicine & hlth occ'
        V113 = 'Males: tech,social,religious,art & related occ'
        V114 = 'Males: clerical & related occ'
        V115 = 'Males: sales occ'
        V116 = 'Males: service occ'
        V117 = 'Males: farming,hort,animal husbandry'
        V118 = 'Males: other primary occ'
        V119 = 'Males: processing occ'
        V120 = 'Males: mach & prod fabric,assemb & repair occ'
        V121 = 'Males: construction trades occ'
        V122 = 'Males: transport equip operating occ'
        V123 = 'Males: other occ'
        V124 = 'Males: occ not stated'
        V125 = 'Females: tot persons worked in 1970'
        V126 = 'Females: managerial,admin & other related occ'
        V127 = 'Females: teaching & related occ'
        V128 = 'Females: medicine & hlth occ'
        V129 = 'Females: tech,social,religious,art & related occ'
        V130 = 'Females: clerical & related occ'
        V131 = 'Females: sales occ'
        V132 = 'Females: service occ'
        V133 = 'Females: farming,hort,animal husbandry'
        V134 = 'Females: other primary occ'
        V135 = 'Females: processing occ'
        V136 = 'Females: mach & prod fabric,assemb & repair occ'
        V137 = 'Females: construction trades occ'
        V138 = 'Females: transport equip operating occ'
        V139 = 'Females: other occ'
        V140 = 'Females: occ not stated'
        V141 = 'Males with inc: tot persons worked in 1970'
        V142 = 'Males with inc: managerial,admin & other related occ'
        V143 = 'Males with inc: teaching & related occ'
        V144 = 'Males with inc: medicine & hlth occ'
        V145 = 'Males with inc: tech,social,religious,art & related occ'
        V146 = 'Males with inc: clerical & related occ'
        V147 = 'Males with inc: sales occ'
        V148 = 'Males with inc: service occ'
        V149 = 'Males with inc: farming,hort,animal husbandry'
        V150 = 'Males with inc: other primary occ'
        V151 = 'Males with inc: processing occ'
        V152 = 'Males with inc: mach & prod fabric,assemb & repair occ'
        V153 = 'Males with inc: construction trades occ'
        V154 = 'Males with inc: transport equip operating occ'
        V155 = 'Males with inc: other occ'
        V156 = 'Males with inc: occ not stated'
        V157 = 'Females with inc: tot persons worked in 1970'
        V158 = 'Females with inc: managerial,admin & other related occ'
        V159 = 'Females with inc: teaching & related occ'
        V160 = 'Females with inc: medicine & hlth occ'
        V161 = 'Females with inc: tech,social,religious,art & related occ'
        V162 = 'Females with inc: clerical & related occ'
        V163 = 'Females with inc: sales occ'
        V164 = 'Females with inc: service occ'
        V165 = 'Females with inc: farming,hort,animal husbandry'
        V166 = 'Females with inc: other primary occ'
        V167 = 'Females with inc: processing occ'
        V168 = 'Females with inc: mach & prod fabric,assemb & repair occ'
        V169 = 'Females with inc: construction trades occ'
        V170 = 'Females with inc: transport equip operating occ'
        V171 = 'Females with inc: other occ'
        V172 = 'Females with inc: occ not stated'
        V173 = 'Males-avg emp inc: tot persons worked in 1970'
        V174 = 'Males-avg emp inc: managerial,admin & other related occ'
        V175 = 'Males-avg emp inc: teaching & related occ'
        V176 = 'Males-avg emp inc: medicine & hlth occ'
        V177 = 'Males-avg emp inc: tech,social,religious,art & related occ'
        V178 = 'Males-avg emp inc: clerical & related occ'
        V179 = 'Males-avg emp inc: sales occ'
        V180 = 'Males-avg emp inc: service occ'
        V181 = 'Males-avg emp inc: farming,hort,animal husbandry'
        V182 = 'Males-avg emp inc: other primary occ'
        V183 = 'Males-avg emp inc: processing occ'
        V184 = 'Males-avg emp inc: mach & prod fabric,assemb & repair occ'
        V185 = 'Males-avg emp inc: construction trades occ'
        V186 = 'Males-avg emp inc: transport equip operating occ'
        V187 = 'Males-avg emp inc: other occ'
        V188 = 'Males-avg emp inc: occ not stated'
        V189 = 'Females-avg emp inc: tot persons worked in 1970'
        V190 = 'Females-avg emp inc: managerial,admin & other related occ'
        V191 = 'Females-avg emp inc: teaching & related occ'
        V192 = 'Females-avg emp inc: medicine & hlth occ'
        V193 = 'Females-avg emp inc: tech,social,religious,art & related occ'
        V194 = 'Females-avg emp inc: clerical & related occ'
        V195 = 'Females-avg emp inc: sales occ'
        V196 = 'Females-avg emp inc: service occ'
        V197 = 'Females-avg emp inc: farming,hort,animal husbandry'
        V198 = 'Females-avg emp inc: other primary occ'
        V199 = 'Females-avg emp inc: processing occ'
        V200 = 'Females-avg emp inc: mach & prod fabric,assemb & repair occ'
        V201 = 'Females-avg emp inc: construction trades occ'
        V202 = 'Females-avg emp inc: transport equip operating occ'
        V203 = 'Females-avg emp inc: other occ'
        V204 = 'Females-avg emp inc: occ not stated'
        V205 = 'Males-med emp inc : tot persons worked in 1970'
        V206 = 'Males-med emp inc: managerial,admin & other related occ'
        V207 = 'Males-med emp inc: teaching & related occ'
        V208 = 'Males-med emp inc: medicine & hlth occ'
        V209 = 'Males-med emp inc: tech,social,religious,art & related occ'
        V210 = 'Males-med emp inc: clerical & related occ'
        V211 = 'Males-med emp inc: sales occ'
        V212 = 'Males-med emp inc: service occ'
        V213 = 'Males-med emp inc: farming,hort,animal husbandry'
        V214 = 'Males-med emp inc: other primary occ'
        V215 = 'Males-med emp inc: processing occ'
        V216 = 'Males-med emp inc: mach & prod fabric,assemb & repair occ'
        V217 = 'Males-med emp inc: construction trades occ'
        V218 = 'Males-med emp inc: transport equip operating occ'
        V219 = 'Males-med emp inc: other occ'
        V220 = 'Males-med emp inc: occ not stated'
        V221 = 'Females-med emp inc: tot persons worked in 1970'
        V222 = 'Females-med emp inc: managerial,admin & other related occ'
        V223 = 'Females-med emp inc: teaching & related occ'
        V224 = 'Females-med emp inc: medicine & hlth occ'
        V225 = 'Females-med emp inc: tech,social,religious,art & related occ'
        V226 = 'Females-med emp inc: clerical & related occ'
        V227 = 'Females-med emp inc: sales occ'
        V228 = 'Females-med emp inc: service occ'
        V229 = 'Females-med emp inc: farming,hort,animal husbandry'
        V230 = 'Females-med emp inc: other primary occ'
        V231 = 'Females-med emp inc: processing occ'
        V232 = 'Females-med emp inc: mach & prod fabric,assemb & repair occ'
        V233 = 'Females-med emp inc: construction trades occ'
        V234 = 'Females-med emp inc: transport equip operating occ'
        V235 = 'Females-med emp inc: other occ'
        V236 = 'Females-med emp inc: occ not stated'
        V237 = 'Zeroes filled cells'
      ;
FORMAT  PROV        V1_F.
        RURAL       V7_F.
        CMAPART     V10_F.
        MUNSIZE     $V11_F.
        ECONAREA    V21_F.
        RURCODE     V23_F.
        CMACODE     V24_F.
        LGECITY     V25_F.
;
